TYPO3-EXT-SA-2020-012: Cross-Site Scripting in extension "Google reCAPTCHA (v2/v3)" (jh_captcha)

  • Release Date: July 07, 2020
  • Component Type: Third party extension. This extension is not a part of the TYPO3 default installation.
  • Component: Google reCAPTCHA (v2/v3) (jh_captcha)
  • Vulnerability Type: Cross-Site Scripting
  • Affected Versions: 3.0.2 - 3.0.0 and 2.1.3 and below
  • Severity: Medium
  • Suggested CVSS v3.1: AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N/E:F/RL:O/RC:C
  • References: CVE-2020-15514

Problem Description

The extension fails to properly encode user input for output in HTML context. The issue is only exploitable by backend users with access to TypoScript settings of the extension.

Solution

Updated versions 2.1.4 and 3.0.3 are available from the TYPO3 extension manager, Packagist and at

https://extensions.typo3.org/extension/download/jh_captcha/2.1.4/zip

https://extensions.typo3.org/extension/download/jh_captcha/3.0.3/zip

Users of the extension are advised to update the extension as soon as possible.

Credits

Thanks to Sven Jürgens for discovering and reporting the vulnerability and to Jan Haffner for providing an updated version of the extension.

General Advice

Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

Zurück